Replacing SPK_INLINE by static inline
[opus.git] / autogen.sh
1 #!/bin/sh
2 # Run this to set up the build system: configure, makefiles, etc.
3 # (based on the version in enlightenment's cvs)
4
5 package="opus"
6
7 olddir=`pwd`
8 srcdir=`dirname $0`
9 test -z "$srcdir" && srcdir=.
10
11 cd "$srcdir"
12 DIE=0
13
14 echo "checking for autoconf... "
15 (autoconf --version) < /dev/null > /dev/null 2>&1 || {
16         echo
17         echo "You must have autoconf installed to compile $package."
18         echo "Download the appropriate package for your distribution,"
19         echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
20         DIE=1
21 }
22
23 VERSIONGREP="sed -e s/.*[^0-9\.]\([0-9]\.[0-9]*\).*/\1/"
24 VERSIONMKINT="sed -e s/[^0-9]//"
25
26 # do we need automake?
27 if test -r Makefile.am; then
28   AM_OPTIONS=`fgrep AUTOMAKE_OPTIONS Makefile.am`
29   AM_NEEDED=`echo $AM_OPTIONS | $VERSIONGREP`
30   if test "$AM_NEEDED" = "$AM_OPTIONS"; then
31     AM_NEEDED=""
32   fi
33   if test -z $AM_NEEDED; then
34     echo -n "checking for automake... "
35     AUTOMAKE=automake
36     ACLOCAL=aclocal
37     if ($AUTOMAKE --version < /dev/null > /dev/null 2>&1); then
38       echo "yes"
39     else
40       echo "no"
41       AUTOMAKE=
42     fi
43   else
44     echo -n "checking for automake $AM_NEEDED or later... "
45     for am in automake-$AM_NEEDED automake$AM_NEEDED automake; do
46       ($am --version < /dev/null > /dev/null 2>&1) || continue
47       ver=`$am --version < /dev/null | head -n 1 | $VERSIONGREP | $VERSIONMKINT`
48       verneeded=`echo $AM_NEEDED | $VERSIONMKINT`
49       if test $ver -ge $verneeded; then
50         AUTOMAKE=$am
51         echo $AUTOMAKE
52         break
53       fi
54     done
55     test -z $AUTOMAKE &&  echo "no"
56     echo -n "checking for aclocal $AM_NEEDED or later... "
57     for ac in aclocal-$AM_NEEDED aclocal$AM_NEEDED aclocal; do
58       ($ac --version < /dev/null > /dev/null 2>&1) || continue
59       ver=`$ac --version < /dev/null | head -n 1 | $VERSIONGREP | $VERSIONMKINT`
60       verneeded=`echo $AM_NEEDED | $VERSIONMKINT`
61       if test $ver -ge $verneeded; then
62         ACLOCAL=$ac
63         echo $ACLOCAL
64         break
65       fi
66     done
67     test -z $ACLOCAL && echo "no"
68   fi
69   test -z $AUTOMAKE || test -z $ACLOCAL && {
70         echo
71         echo "You must have automake installed to compile $package."
72         echo "Download the appropriate package for your distribution,"
73         echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
74         exit 1
75   }
76 fi
77
78 echo -n "checking for libtool... "
79 for LIBTOOLIZE in libtoolize glibtoolize nope; do
80   ($LIBTOOLIZE --version) < /dev/null > /dev/null 2>&1 && break
81 done
82 if test x$LIBTOOLIZE = xnope; then
83   echo "nope."
84   LIBTOOLIZE=libtoolize
85 else
86   echo $LIBTOOLIZE
87 fi
88 ($LIBTOOLIZE --version) < /dev/null > /dev/null 2>&1 || {
89         echo
90         echo "You must have libtool installed to compile $package."
91         echo "Download the appropriate package for your system,"
92         echo "or get the source from one of the GNU ftp sites"
93         echo "listed in http://www.gnu.org/order/ftp.html"
94         DIE=1
95 }
96
97 if test "$DIE" -eq 1; then
98         exit 1
99 fi
100
101 echo "Generating configuration files for $package, please wait...."
102
103 echo "  $ACLOCAL $ACLOCAL_FLAGS"
104 $ACLOCAL $ACLOCAL_FLAGS || exit 1
105 echo "  autoheader"
106 autoheader || exit 1
107 echo "  $LIBTOOLIZE --automake"
108 $LIBTOOLIZE --automake || exit 1
109 echo "  $AUTOMAKE --add-missing $AUTOMAKE_FLAGS"
110 $AUTOMAKE --add-missing $AUTOMAKE_FLAGS || exit 1
111 echo "  autoconf"
112 autoconf || exit 1
113
114 cd $olddir
115 #$srcdir/configure "$@" && echo